製品 > 更新情報 > R8の更新履歴 > R8.3.8 > 改善・不具合修正

No 分類 内容 変更箇所 再テストの必要性
FIX1146101 不具合 隠し項目に対して入力可・不可制御で「値を保持」を設定しても値がクリアされる。 [G] JavaScript 当該設定時、入力可・不可制御が動作することを確認する。
FIX1146601 不具合 確認画面を伴った登録、更新画面で、確認画面から登録画面へ戻ると警告メッセージが効かない。 [FW] DbInsertBaseController
DbUpdateBaseController
警告メッセージが表示されること
FIX1146301 不具合 モデルの検索画面に用意したダウンロードボタン押下後、チェックボックス選択の検索画面機能でチェックボックスを選択すると(検索画面ではなく)ダウンロード画面へ遷移してしまう。 [FW] common.js なし
FIX1146901 不具合 汎用式を使った時刻型項目の入力チェックで、エラー時に入力欄の時刻が 0 にリセットされる。本来は入力値が復元されるべき。 [FW] PresentationPHelperPart3_s2p なし
FIX1147501 不具合 一覧表示のボタン表示条件が効かないパターン。 [FW] JFCReflactionBasedControlUtilBase なし
FIX1147601 不具合 整数型主キーの値が 0 のデータは、参照元トレースリンクのボタンが表示されない。 [G] show<モデルID>P.jsp なし
FIX1147701 不具合 参照先が日付・時刻型の参照連動項目を検索条件とした場合に日付のみ入力して検索すると時刻が補完されない。 [FW] DateTimeUtil なし
FIX1147901 不具合 ログオフされた状態で /rest/workflowstatus にアクセスするとエラーが発生する。 [FW] ShowWorkFlowStatusController なし
FIX0945011 不具合 チェックボックスのID配列が空の場合でも不要なSQL処理が実行されていた。動作に影響はないがSQL発行回数を削減するようにする。 [FW] PresentationPHelperPart6
_s2p_check
なし
FIX1148501 不具合 参照連動解決時、参照先モデルの主キーが文字列型で、連動元項目に空文字が設定されているとWARNログが出力される。動作に影響はないが、このログ出力を抑制する。 [G] ヘルパクラス resolv メソッド なし
FIX1149001 不具合 一覧表示グリッドを使用した際に、繰り返しコンテナ内の参照連動項目が未指定の場合に実行時エラー(NPE)が発生する場合がある。 [FW] RestDataConverter なし
FIX1149401 不具合 利用言語を英語としてログオンしたにも関わらず、データベース関連のエラーメッセージは日本語で表示される。 [FW] JFCErrorMessageConverter なし
FIX1149601 不具合 アカウントモデル(juser)で「識別子の区切り文字を利用しない」と設定したとき、保留フロー表示時にエラーが発生する場合がある。 [FW] WorkFlowManager
[G] juser.hbm.xml
なし
FIX1149801 不具合 「無効判定項目を無視して検索を行う」設定がラジオボタンで動作しない。 [G] ヘルパクラス なし
FIX1149901 不具合 一括処理のボタンを複数配置した場合、1番目のボタン以外はボタンの押下制御が行なわれない。 [FW] common.js なし
FIX1150301 不具合 検索画面の日付入力欄でEnterキーの取り扱いを「ボタン押下」に設定しても検索が行なわれない。 [FW] input_date_combo.tag
[G] Insert/Update JSP
なし
FIX1150801 不具合 検索画面のサジェスト入力欄でEnterキーの取り扱いを「ボタン押下」に設定しても検索が行なわれない。 [FW] FilteringSelectEx.js なし
FIX1150901 不具合 他モデル参照(チェックボックス)のチェックボックスの選択方法が検索画面の場合、サブウィンドウ検索画面が開かないパターン。 [G] (JavaScript) なし
No 分類 内容
FIX1147101 不具合 R8.3.4で追加したENH11334「"ヘルパ>ダウンロード」スクリプトが、Designerで開発中は生成されるが、ビルドすると生成されない。
No 内容
LIB1146701 Jackson Databind を 2.9.10.3 から 2.10.3 にバージョンアップする。脆弱性 JVNDB-2020-002437,JVNDB-2020-002436,JVNDB-2020-002435 の対応。
LIB1148601 Apache Tika を 1.22 から 1.24 にバージョンアップする。脆弱性 JVNDB-2020-003123, JVNDB-2020-003124 の対応。